Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.cache.ehcache.management.impl
Class ProviderMBeanRegistrationHelper

    java.lang.Object
      org.hibernate.cache.ehcache.management.impl.ProviderMBeanRegistrationHelper

    public class ProviderMBeanRegistrationHelper

extends Object

Helper class for registering mbeans for ehcache backed hibernate second level cache

Constructor Summary
`ProviderMBeanRegistrationHelper()`

Method Summary
`void` | `registerMBean(net.sf.ehcache.CacheManager manager, Properties properties)` Registers mbean for the input cache manager and the session factory name
`void` | `unregisterMBean()` Unregisters previously registered mbean.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProviderMBeanRegistrationHelper

    public ProviderMBeanRegistrationHelper()

Method Detail

### registerMBean

    public void registerMBean(net.sf.ehcache.CacheManager manager,
                              Properties properties)

  Registers mbean for the input cache manager and the session factory name

  Parameters:
    `manager` - the backing cachemanager
    `properties` - session factory config properties

### unregisterMBean

    public void unregisterMBean()

  Unregisters previously registered mbean.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.